# Retailers API v0.2 models
MODEL_ACCOUNTS = 'brands'
MODEL_ACCOUNT = 'brand'
MODEL_FOLDERS = 'folders'
MODEL_FOLDER = 'folder'
MODEL_PRODUCTS = 'products'
MODEL_PRODUCT = 'product'
MODEL_SITES = 'sites'
MODEL_SITE = 'site'

# Retailers API v0.2 response fields
RESPONSE_METADATA = 'meta'
RESPONSE_SUCCESS = 'success'
RESPONSE_MESSAGE = 'message'

# Retailers API v0.2 pagination fields
RESPONSE_METADATA_PAGE = 'page'
RESPONSE_METADATA_TOTAL = 'total'
RESPONSE_METADATA_TOTAL_PAGES = 'total_pages'

# Retailers API v0.2 input fields
INPUT_FIELDS = 'fields'
INPUT_SORT = 'sort'
INPUT_PAGE_LENGTH = 'page_length'

# Retailers API v0.2 product
INPUT_PRODUCTS_SHOW = 'show'
INPUT_PRODUCT_LIST = 'product_list'
INPUT_PRODUCT_PICTURE_SIZES = 'sizes'
ORIGINAL_SIZE = 'original'

# Retailers API v0.2 product fields
INPUT_PRODUCTS_SEARCH_FOLDERS_LIST = 'folders_list'
INPUT_PRODUCTS_SEARCH_GROUP_BY = 'group_by'
INPUT_PRODUCTS_SEARCH_NAME = 'name'
INPUT_PRODUCTS_SEARCH_OPERATOR = 'operator'
INPUT_PRODUCTS_SEARCH_PRODUCTS_LIST = 'products_list'
INPUT_PRODUCTS_SEARCH_SKU_LIST = 'sku_list'

FIELD_PRODUCT_BRAND_ID = 'brand_id'
FIELD_PRODUCT_BRAND_NAME = 'brand_name'
FIELD_PRODUCT_EAN = 'ean'
FIELD_PRODUCT_FOLDER = 'folder'
FIELD_PRODUCT_GTIN = 'gtin'
FIELD_PRODUCT_ID = 'id'
FIELD_PRODUCT_JAN = 'jan'
FIELD_PRODUCT_NAME = 'name'
FIELD_PRODUCT_SKU = 'sku'
FIELD_PRODUCT_THUMB = 'thumb'
FIELD_PRODUCT_UPC = 'upc'

# Retailers API v0.2 picture fields
FIELD_PICTURE_URL_TO_LATEST = 'url_to_latest'
FIELD_PICTURE_URL_TO_VERSION = 'url_to_version'

FIELD_PRODUCT_PICTURE_PICTURE_ID = 'picture_id'
FIELD_PRODUCT_PICTURE_VERSION = 'version'
FIELD_PRODUCT_PICTURE_ORIGINAL = 'original'
FIELD_PRODUCT_PICTURE_THUMBS = 'thumbs'

FIELD_PRODUCT_PICTURE_LIST_ID = 'product_id'
FIELD_PRODUCT_PICTURE_LIST_PICTURES = 'pictures'


# Retailers API v0.2 product search constants
PRODUCTS_SEARCH_GROUP_BY_DISABLED = 'NONE'
PRODUCTS_SEARCH_GROUP_BY_BRAND = 'BRAND'

PRODUCTS_SEARCH_GROUP_BY = {
    PRODUCTS_SEARCH_GROUP_BY_DISABLED: PRODUCTS_SEARCH_GROUP_BY_DISABLED,
    PRODUCTS_SEARCH_GROUP_BY_BRAND: PRODUCTS_SEARCH_GROUP_BY_BRAND,
}

# Retailers API v0.2 bank fields
INPUT_BANK_SEARCH_ACCOUNT = 'brand_id'
INPUT_BANK_SEARCH_FOLDER = 'folder_id'
INPUT_BANK_SEARCH_IDENTIFIER = 'identifier'
INPUT_BANK_SEARCH_IDENTIFIER_LIST = 'identifier_list'
INPUT_BANK_SEARCH_NAME = 'name'
INPUT_BANK_SEARCH_NAME_LIST = 'name_list'
INPUT_BANK_SEARCH_PRODUCT = 'product_id'
INPUT_BANK_SEARCH_OPERATOR = 'operator'
#   References
INPUT_BANK_SEARCH_EAN = 'ean'
INPUT_BANK_SEARCH_EAN_LIST = 'ean_list'
INPUT_BANK_SEARCH_GTIN = 'gtin'
INPUT_BANK_SEARCH_GTIN_LIST = 'gtin_list'
INPUT_BANK_SEARCH_JAN = 'jan'
INPUT_BANK_SEARCH_JAN_LIST = 'jan_list'
INPUT_BANK_SEARCH_SKU_LIST = 'sku_list'
INPUT_BANK_SEARCH_SKU = 'sku'
INPUT_BANK_SEARCH_UPC = 'upc'
INPUT_BANK_SEARCH_UPC_LIST = 'upc_list'
INPUT_BANK_SEARCH_REFERENCES = [
    INPUT_BANK_SEARCH_EAN ,
    INPUT_BANK_SEARCH_EAN_LIST,
    INPUT_BANK_SEARCH_GTIN,
    INPUT_BANK_SEARCH_GTIN_LIST,
    INPUT_BANK_SEARCH_JAN,
    INPUT_BANK_SEARCH_JAN_LIST,
    INPUT_BANK_SEARCH_SKU_LIST,
    INPUT_BANK_SEARCH_SKU,
    INPUT_BANK_SEARCH_UPC,
    INPUT_BANK_SEARCH_UPC_LIST,
]

INPUT_BANK_ADD_DESTINATION = 'dest'
INPUT_BANK_ADD_FOLDERS = 'folders_list'
INPUT_BANK_ADD_PRODUCTS = 'products_list'

RESPONSE_PRODUCTS_ADDED = 'products_added'
RESPONSE_PRODUCT_BANK_ID = 'bank_id'
RESPONSE_PRODUCT_ID = 'product_id'

# Retailers API v0.2 Site fields
INPUT_SITES_SEARCH_NAME = 'name'
INPUT_SITES_SEARCH_PROTOCOL = 'protocol'
INPUT_SITES_SEARCH_URL = 'url'

FIELD_SITE_DEBUG = 'debug'
FIELD_SITE_INFO = 'info'
FIELD_SITE_NAME = 'name'
FIELD_SITE_PROTOCOL = 'protocol'
FIELD_SITE_TIMEZONE = 'timezone'
FIELD_SITE_URL = 'url'
FIELD_SITE_ID = 'id'

# Retailers API v0.2 Site info fields
INFO_SYNC_PICTURES = 'sync_pictures'
INFO_PLATFORM_NAME = 'platform_name'
INFO_PLATFORM_VERSION = 'platform_version'
INFO_SUBPLATFORM_NAME = 'subplatform_name'
INFO_SUBPLATFORM_VERSION = 'subplatform_version'
INFO_PLYTIX_PLUGIN_VERSION = 'plytix_plugin_version'
INFO_USE_CDN = 'use_cdn'


# Retailers API v0.2 data fields
INPUT_DATA_TRACK_CUSTOMER_ID = 'customer_id'
INPUT_DATA_TRACK_SESSION_ID = 'session_id'
INPUT_DATA_TRACK_SITE_ID = 'site_id'
INPUT_DATA_TRACK_ACTIONS = 'actions'
INPUT_DATA_GET_ACTIONS_ACTIONS = 'actions'
ACTION_NAME = 'action_name'
ACTION_VALUE = 'action_value'
INPUT_DATA_TRACK_BROWSER = 'browser'
INPUT_DATA_TRACK_PLATFORM = 'platform'
INPUT_DATA_TRACK_LANGUAGE = 'language'

# Retailers API v0.2 brand fields
FIELD_BRAND_NAME = 'name'
FIELD_BRAND_ID = 'id'
FIELD_BRAND_PICTURE = 'picture'
FIELD_BRAND_WEBSITE = 'website'

# Retailers API v0.2 folder fields
FIELD_FOLDER_NAME = 'name'
FIELD_FOLDER_ID = 'id'
FIELD_FOLDER_PARENT = 'parent'
